
%global meadversion 2.19.0
%global namedversion 2.19.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%{?scl:%scl_package log4j} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.19.0.redhat-00001

Name:             %{?scl_prefix}log4j
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          Apache Log4j 2
Group:            Development/Libraries

%if %with mead
Source100: log4j-2.19.0.redhat-00001-project-sources.tar.gz
%endif

License:          ASL 2.0 
URL:              https://github.com/apache/logging-log4j2

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache Log4j 2.

%if %with javadoc
%package javadoc
Summary:          Javadocs for log4j
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for log4j.
%endif

%prep
%setup -q -n log4j-%{namedversion} -T -b 100

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

# JAR
%{__cp} -p %{_sourcedir}/log4j-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%{__cp} -p %{_sourcedir}/log4j-api-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/log4j-api-%{namedversion}
%{__unzip} -qq %{_sourcedir}/log4j-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/log4j-api-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/log4j-api-%{namedversion}/META-INF
%{__ln_s} log4j-api-%{namedversion} %{buildroot}%{_javadocdir}/log4j-api
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}*/log4j-api-%{namedversion}.jar
%{_javadir}*/log4j-api.jar
%{_javadir}*/log4j-api-%{namedversion}-sources.jar
%{_javadir}*/log4j-api-sources.jar
%doc

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/log4j-api-%{namedversion}
%{_javadocdir}/log4j-api
%endif

%changelog
* Wed Feb 21 2024 Permaine Cheung <pcheung@redhat.com> - 2.19.0-2.redhat_00001.1
- Wrapper build 2.19.0.redhat-00001

* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.19.0-1.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.17.2-2.redhat_00003.1
- Built by CPaaS

* Fri Jul 29 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.17.2-1.redhat_00002.1
- Built by CPaaS



* Fri Jul 29 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.17.1-6.redhat_00002.1
- Built by CPaaS



* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.17.1-5.redhat_00002.1
Built by CPaaS



* Thu Feb 17 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.17.1-1.redhat_00001.1
- Building new version

* Tue Feb 09 2021 Permaine Cheung <pcheung@redhat.com> - 2.14.0-1.redhat_00002.1
- 2.14.0.redhat-00002

